//HC-SR501 als Bewegungsmelder, vergleicht alten PIR-wert mit neuem PIR-wert und lässt bei HIGH Phase LED leuchten
//Einstellung *repeatable Trigger||single Trigger* hier egal
//Single Trigger:Bei Bewegung läuft ein festgelegtes Zeitfenster HIGH ab (LINKER POTI, 3sec bis 5min)
//Repeatable Trigger: Bei Bewegung läuft HIGH Zeitfester ab, wenn darin wieder Bewegung erkannt wird, wird das zeitfenster wieder neu gestartet und verlängert.
//Nach diesen HIGH signal folgt in beiden fällen ein 3 sekündiges LOW Fenster, hier wird keine bewegung erkannt

//Hier zwei Bewegungsmelder


int ledPin = D1;  // LED on Pin 1 of ESP
int pirPin1 = D0; // Input for HC-SR501
int pirPin2 = D2;
int pirValueNeu1; // Place to read PIR Value
int pirValueAlt1 = 0; //Place to store read PIR Value
int pirAn1;
int pirValueNeu2; // Place to read PIR Value
int pirValueAlt2 = 0; //Place to store read PIR Value
int pirAn2;

void setup() {
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
  pinMode(pirPin1, INPUT);
  pinMode(pirPin2, INPUT);
  digitalWrite(ledPin, LOW);
}

void loop() {
  pirValueNeu1 = digitalRead(pirPin1);
  pirValueNeu2 = digitalRead(pirPin2);
  pirAn1= ((pirValueNeu1==1)&&(pirValueAlt1==0));
  pirAn2= ((pirValueNeu2==1)&&(pirValueAlt2==0));
  
 /* Serial.print(pirAn1);
  Serial.println(pirAn2);
  if(pirAn1)
    delay(2000);*/
    
  if(pirAn1&&(!pirValueNeu2)){                   //Case1.1:Flanke von PIR 1, PIR 2 auf 0
    digitalWrite(ledPin, pirValueNeu1);
    Serial.println("Motion from PIR1!");
  }
   if(pirAn2&&(!pirValueNeu1)){                  //Case1.2:Flanke von PIR 2, PIR 1 auf 0
    digitalWrite(ledPin, pirValueNeu2);
    Serial.println("Motion from PIR2!");
  }
   if(pirAn1&&pirValueNeu2){                      //Case2.1:Flanke von PIR 1, PIR 2 schon auf 1; Zustand von PIR 1 wird angenommen
    digitalWrite(ledPin, pirValueNeu1);
    Serial.println("Motion from PIR 1, while PIR 2 was already triggered!");
  }
  if(pirAn2&&pirValueNeu1){                       //Case2.1:Flanke von PIR 2, PIR 1 schon auf 1; Zustand von PIR 2 wird angenommen
    digitalWrite(ledPin, pirValueNeu2);
    Serial.println("Motion from PIR 2, while PIR 1 was already triggered!");
  }
  if(pirAn1&&pirAn2){                       //Case3:Beide PIR sensoren gleichzeit geriggert, unwahrscheinlich
    digitalWrite(ledPin, pirValueNeu1);
    Serial.println("Motion from PIR 1 and PIR 2!");
  }
    pirValueAlt1=pirValueNeu1;
    pirValueAlt2=pirValueNeu2;

  
   /* if((pirValueNeu1==1)&&(pirValueNeu2==1)){
    Serial.println("Motion from PIR1 & PIR2!  Level:HIGH");
    digitalWrite(ledPin, pirValueNeu1);
    }
    else if((pirValueNeu1==0)&&(pirValueNeu2==1)){
    Serial.println("Motion from PIR2!  Level:HIGH");
    digitalWrite(ledPin, pirValueNeu2);
    }
    else if((pirValueNeu1==1)&&(pirValueNeu2==0)){
    Serial.println("Motion from PIR1!  Level:HIGH");
    digitalWrite(ledPin, pirValueNeu1);
    } */ 
/*else{
    //Serial.println("Ruhemodus 3 Sekunden! Level:LOW");
    //delay(3000);
    Serial.println("No motion so far! Level:LOW");
}*/

   
  }
